Bug 1283729 - [abrt] mypaint: toolbar.py:760:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme
[abrt] mypaint: toolbar.py:760:_get_scaled_pixbuf:GError: Icon 'gtk-missing-i...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mypaint (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c54461aec89ecd65f628e0b25fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 11:52 EST by Milan Zink
Modified: 2016-12-20 11:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (729 bytes, text/plain)
2015-11-19 11:52 EST, Milan Zink
no flags Details
File: environ (1.75 KB, text/plain)
2015-11-19 11:52 EST, Milan Zink
no flags Details

  None (edit)
Description Milan Zink 2015-11-19 11:52:14 EST
Version-Release number of selected component:
mypaint-1.1.0-7.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python2.7 /usr/bin/mypaint
dso_list:       mypaint-data-1.1.0-7.fc23.noarch
executable:     /usr/bin/mypaint
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            24473

Truncated backtrace:
toolbar.py:760:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme

Traceback (most recent call last):
  File "/usr/share/mypaint/gui/toolbar.py", line 755, in on_size_allocate
    self._update()
  File "/usr/share/mypaint/gui/toolbar.py", line 776, in _update
    scaled_pixbuf = self._get_scaled_pixbuf(s)
  File "/usr/share/mypaint/gui/toolbar.py", line 760, in _get_scaled_pixbuf
    return theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: Icon 'gtk-missing-image' not present in theme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x7f73ce67af50 (GtkIconTheme at 0x55ed2260bc10)>
self: <ManagedBrushPreview object at 0x7f73cc667410 (GtkImage at 0x55ed22b5f670)>
size: 24

Potential duplicate: bug 1175860
Comment 1 Milan Zink 2015-11-19 11:52:18 EST
Created attachment 1096798 [details]
File: backtrace
Comment 2 Milan Zink 2015-11-19 11:52:20 EST
Created attachment 1096799 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 08:35:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:06:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.